# Sam D-B Geo's
#### The Sam D-B Tileset featuring lots of complex tiles. These tiles work correctly but an error will show in your console sometimes when moving around in the tiles. This is fine and won't impact gameplay at all. It is just a unity bug. 

SamGeos has now moved file directory. Please delete Samgeos in your config file if you've downloaded before...

# Tile sets
### Service Complex
 - Floodways

### Mining Complex
- Digsite 
- Refinery 
- Storage

### Data Complex
-Labs

### Floodways Complex

# Floodways Elevator 1
#### A revamped floodways elevator tile. It has been largely extended to feature a custom spawn and revamped to look less destroyed and more abandoned. It has a full 360 pathway and a bridge with a custom exit scan aligned to it. The ladder has been removed to stop all ladder cheesing for this tile.  
Complex resource set data:
```
{
"Prefab": "Assets/Custom Geo's/Floodways Elevator 1/Floodways_Elevator_1.prefab",
"SubComplex": 5,
"Shard": 10
}
```
![0](https://i.imgur.com/ogV3mLe.png)
![0](https://i.imgur.com/vNKUxqR.png)
![0](https://i.imgur.com/F5HuCkN.png)
![0](https://i.imgur.com/P9zWldJ.png)
![0](https://i.imgur.com/vzC3uRQ.jpg)

# Floodways extended bridge I Tile 
#### The regular floodways bridge with an extra floor underneath for traversing. Lots of extra room and locker spawns with an underground middle section as well. A great tile for hectic scans. 
Complex resource set data:
```
{
 "Prefab": "Assets/Custom Geo's/Floodways_I_tile_bridge/Floodways_I_tile_Bridge.prefab",
 "SubComplex": 5,
 "Shard": 10
}
```
![0](https://i.imgur.com/P687GvN.png)
![0](https://i.imgur.com/WLAnSLb.png)
![0](https://i.imgur.com/kQPMgJx.jpg)

# Floodways I Tile 1
#### A long tile with walkways at the top, 3 bridges in the middle and a hole underneath. This tile has a set spawn for single scans, works best with the large S scan.
Complex resource set data:
```
{
 "Prefab": "Assets/Custom Geo's/floodways_I_tile_1/floodways_i_tile_1.prefab",
 "SubComplex": 5,
 "Shard": 10
}
```
![0](https://i.imgur.com/848y546.png)
![0](https://i.imgur.com/Ljr4n4J.jpg)
![0](https://i.imgur.com/GlncVeB.jpg)

# Floodways X Tile 1
#### The same as the vanilla tile except the middle has been hollowed out and a massive hole is at the top. There's also more sewer grates and flowing water on the floor. More of an aesthetic tile.
Complex resource set data:
```
{
 "Prefab": "Assets/Custom Geo's/Floodways_x_tile_1/floodways_x_tile_1.prefab",
 "SubComplex": 5,
 "Shard": 10
}
```
![0](https://i.imgur.com/rU1M25c.png)
![0](https://i.imgur.com/NJoOo1i.jpg)
![0](https://i.imgur.com/FnRC3F4.jpg)

#### Alternate version with a boss align spawn. Needs an enemy with a boss align tied to it for this tile to work.

```
{
 "Prefab": "Assets/Custom Geo's/Floodways_x_tile_1_V2/floodways_x_tile_1_V2.prefab",
 "SubComplex": 5,
 "Shard": 10
}
```

# Floodways X Tile 2
#### A large room with a hollow middle that extends all the way down. No terminals or boxes spawn down there but enemies can. 
```
{
 "Prefab": "Assets/Custom Geo's/Floodways_x_tile_2/floodways_x_tile_2.prefab",
 "SubComplex": 5,
 "Shard": 10
}
```
![0](https://i.imgur.com/yGxZ30s.png)
![0](https://i.imgur.com/PLe7K5K.png)
![0](https://i.imgur.com/IL02MPm.jpg)

# Floodways X Tile 3
#### A big room with a large hole at the start for water storage. Can be used as a T scan tile. Has scaffolding and platforms round the side.
```
{
 "Prefab": "Assets/Custom Geo's/Floodways_x_tile_3/floodways_x_tile_3.prefab",
 "SubComplex": 5,
 "Shard": 10
}
```
![0](https://i.imgur.com/pMAs7pY.png)
![0](https://i.imgur.com/lvVbOEr.jpg)

# Floodways X Tile 4
#### A massive room with walkways and platforms that span up to 4 floors. Terminals can spawn at the bottom as well as resource boxes. Note: This is the biggest tile in the game and can sometimes cause some FPS drops.
```
{
 "Prefab": "Assets/Custom Geo's/Floodways_x_tile_4/floodway_x_tile_4.prefab",
 "SubComplex": 5,
 "Shard": 10
}
```
![0](https://i.imgur.com/a8kfsbW.png)
![0](https://i.imgur.com/bhytkhY.png)
![0](https://i.imgur.com/sEfk3mx.jpg)

# Floodways X Tile 5
#### A remastered Floodways vanilla tile. Has multiple bridges and pathways and is now one zone instead of three... A long bridge sits in the middle of the tile and leads to every part of the room...
```
{
  "Prefab": "Assets/Custom Geo's/Floodways_x_tile_5/Floodways_x_tile_5.prefab",
  "SubComplex": 5,
  "Shard": 10
}
```
![0](https://i.imgur.com/AMRNM9Y.png)
![0](https://i.imgur.com/4HMcfBM.png)
![0](https://i.imgur.com/BQsn8WJ.png)

# Floodways HUB Tile
#### The big HUB room with three extra levels doing down into the depths below. 
```
{
  "Prefab": "Assets/Custom Geo's/Floodways_HUB/Floodways_hub.prefab",
  "SubComplex": 5,
  "Shard": 10
}
```
![0](https://i.imgur.com/79c3lan.png)
![0](https://i.imgur.com/xCJzk8a.png)
![0](https://i.imgur.com/es9zHGb.png)

# Floodways DeadEnd Tile
#### A deadend tile with spawnpoints for waves. A tile with a narrow corridor for holding enemies. It has been made to look very degraded and worn.
```
{
  "Prefab": "Assets/Custom Geo's/Floodways dead end spawn points/Floodways_Deadend_Spawn.prefab",
  "SubComplex": 5,
  "Shard": 10
}
```
![0](https://i.imgur.com/RyeIdNO.jpg)
![0](https://i.imgur.com/jzgfazD.jpg)
![0](https://i.imgur.com/GY7jdax.png)

# Floodways Exit Tile
#### Large exit tile with multiple scaffolding walkways, allowing full access around the room.
```
{
 "Prefab": "Assets/Custom Geo's/Floodways_exit/floodways_exit_tile.prefab",
 "SubComplex": 5,
 "Shard": 10
}
```
![0](https://i.imgur.com/XN1wLsp.png)
![0](https://i.imgur.com/XsRzVLQ.png)
![0](https://i.imgur.com/RC7C7jd.jpg)
![0](https://i.imgur.com/IItaYxV.jpg)

### Digsite Complex

# Digsite I Tile 1
#### I tile with multiple caves and tunnels that run deep underground. A large cave sits at the bottom with a flooded pool and a bridge connecting both ways.
```
{
          "Prefab": "Assets/Custom Geo's/Digsite/disite_i_tile_1_optimized/digsite_i_tile_1_V2.prefab",
          "SubComplex": 5,
          "Shard": "S1"
}
```
![0](https://i.imgur.com/tlGxQ7R.png)
![0](https://i.imgur.com/729EABw.png)
![0](https://i.imgur.com/rZnxKKh.png)
![0](https://i.imgur.com/SIEvExd.png)

# Digsite X Tile 1
#### A big room with multiple pathways and elevation. There are underground caves and a small tunnel connecting them together...
```
{
 "Prefab": "Assets/Custom Geo's/Digsite/digsite_x_tile_1/digsite_x_tile_1.prefab",
 "SubComplex": 5,
 "Shard": "S1"
}
```
![0](https://i.imgur.com/sSgZUC3.png)
![0](https://i.imgur.com/5UCTEhu.png)
![0](https://i.imgur.com/UBlgtmJ.png)

#### Alternate version with one big cave... The smaller cave has been removed... Still a large tile but with less verticality...

```
{
 "Prefab": "Assets/Custom Geo's/Digsite/digsite_x_tile_1_V3/digsite_x_tile_1_V3.prefab",
 "SubComplex": 5,
 "Shard": "S1"
}
```

### Refinery Complex

# Refinery I Tile 1 
#### A compact tile with multiple elevation points. Multiple bridges and lots of depth in this tile. 
```
{
 "Prefab": "Assets/Custom Geo's/refinery/HA_1_i_tile/I_tile_V2.prefab",
 "SubComplex": 5,
 "Shard": "S1"
}
```
![0](https://i.imgur.com/1SCnjCU.png)
![0](https://i.imgur.com/tDjSpPj.png)
![0](https://i.imgur.com/tkL8xRg.png)

# Refinery I Tile 2 Bridge
#### Refinery bridge with 3 floors. This tile has a built in scan align going up to a Tier 4 scan. The scans will start on the bottom floor, traversing to the middle and ending at the top. 
```
{
"Prefab": "Assets/Custom Geo's/refinery bridge/refinery_i_tile_bridge.prefab",
"SubComplex": 5,
"Shard": "S1"
}
```
![0](https://i.imgur.com/tLwTTHc.png)
![0](https://i.imgur.com/iKmSZ9x.png)
![0](https://i.imgur.com/9aeVAeR.jpg)

# Refinery Exit Tile 1 
#### A dilapidated bridge that the warden deems viable for an extract point... 
```
{
 "Prefab": "Assets/Custom Geo's/Mining exit/Mining_exit_V1.prefab",
 "SubComplex": 5,
 "Shard": 18
}
```
![0](https://i.imgur.com/mmg3OpI.png)
![0](https://i.imgur.com/Fc33N67.png)

### Storage Complex

# Storage I Tile  - Neonatal Vault
#### An I tile with HSU and neonatal racks. A neonatal storage vault deep inside the heart of the complex. There is a shelf spawner on the bridge where a neonate or objective item can spawn if markers are re-rolled to a favoured seed.
```
{
 "Prefab": "Assets/Custom Geo's/Storage_neonate_room/neonate_storage.prefab",
 "SubComplex": 5,
 "Shard": "S1"
}
```
![0](https://i.imgur.com/g8AE1Mt.png)
![0](https://i.imgur.com/9RV3Rvv.png)
![0](https://i.imgur.com/ur1Llvl.png)
![0](https://i.imgur.com/0YSajAo.png)
![0](https://i.imgur.com/nuMw5Ex.png)

### Labs Complex

# Labs Elevator Tile 1 
#### A revamped labs elevator tile. It has a full 360 circular pathway as well as a lower floor. 
```
{
"Prefab": "Assets/Custom Geo's/Labs/Labs Elevator/geo_32x32_Labs_Elevator_V1.prefab",
"SubComplex": 5,
"Shard": 18
}
```
![0](https://i.imgur.com/5Smb6ql.png)
![0](https://i.imgur.com/dRFhbxH.png)
![0](https://i.imgur.com/wd3wDNm.png)
![0](https://i.imgur.com/gEnuNXm.png)

# Labs Elevator Tile 2 
#### A completely remade elevator tile, multiple levels for verticality. Made to look abandoned yet still maintained.
```
{
"Prefab": "Assets/Custom Geo's/Labs/Labs Elevator V2/Labs_elevator_V2.prefab",
"SubComplex": 5,
"Shard": 18
}
```
![0](https://i.imgur.com/ntDaQOF.png)
![0](https://i.imgur.com/oT7ST50.png)
![0](https://i.imgur.com/9ixPoPU.png)
![0](https://i.imgur.com/cvMc1fG.png)

# Labs Depressurizer Tile
#### A big tile with three depressurizer's that are randomized every time. It is an open tile with multiple pathways and three floors. 
```
{
"Prefab": "Assets/Custom Geo's/Labs/Labs neonate insertion room/Labs_Neonate_Insertion_room_Depressure.prefab",
"SubComplex": 5,
"Shard": 10
}
```
![0](https://i.imgur.com/AvMrshg.png)
![0](https://i.imgur.com/SNZv5qs.png)
![0](https://i.imgur.com/fgj0QfN.jpg)
![0](https://i.imgur.com/IVTwwGY.png)

# Labs I Tile 1
#### The normal reactor I tile except there are multiple paths that connect the tile together. The middle path has been destroyed and side paths are now present. 
```
{
 "Prefab": "Assets/Custom Geo's/Labs/lab_i_tile/lab_i_tile_V1.prefab",
 "SubComplex": 5,
 "Shard": 10
}
```
![0](https://i.imgur.com/tSdJnco.png)
![0](https://i.imgur.com/EJYEu35.png)
![0](https://i.imgur.com/1mO0596.png)
![0](https://i.imgur.com/ptx6n2i.png)

# Labs Deadend tile 1
#### A dead end tile similar to the R7A1 variant. However, this tile now has marker spawns for objective items. 
```
{
  "Prefab": "Assets/Custom Geo's/Labs/Labs dead end neonate cargo room/Labs_Neonate_cargo.prefab",
  "SubComplex": 5,
  "Shard": 10
}
```
![0](https://i.imgur.com/570LftP.jpg)
![0](https://i.imgur.com/OQ7I5i1.jpg)
![0](https://i.imgur.com/xMl8575.jpg)
![0](https://i.imgur.com/o7QSy9P.png)

# Labs Exit tile 
#### A big labs exit tile with a boss align spawn. (Haven't tested if it works)
```
{
 "Prefab": "Assets/Custom Geo's/Labs/lab_exit_V1/lab_exit_V1.prefab",
 "SubComplex": 5,
 "Shard": 18
}
```
![0](https://i.imgur.com/dsK2GwH.png)
![0](https://i.imgur.com/3hLTqZf.png)
![0](https://i.imgur.com/NSEUFEE.png)
![0](https://i.imgur.com/tbatnBP.png)


# Patch Notes
### 1.0.0 - Initial Release 
### 1.0.1 - Added new Floodways bridge tile
### 1.0.2 - Added new Floodways, refinery and digsite tile
### 1.0.3 - Added new digsite and storage tile. Optimization patch for all tiles.
### 1.0.4 - Added new labs tiles and a new floodways exit tile.
### 1.0.5 - Slightly optimized both digsite tiles... Added a variant of Floodways X tile 1 with a boss align spawner. Added a smaller variant of Digsite X Tile 1. Fixed wrong directory for labs I tile
### 1.0.52 - Attempt to fix a bug where tiles aren't spawning 
### 1.0.53 - Fixed tile not spawning due to incorrect name
### 1.0.54 - Updated geos to R3 Alt patch. New floodways tile in progress...
### 1.0.55 - Fixed thunderstore text not showing correctly
### 1.0.6 - Added new floodways x tile. Changed Samgeos asset path for better R2Modman support...
### 1.0.62 - Added a new refinery exit tile... Fixed SamGeo's to work with ALT R4 update...
### 1.0.7 - Added new floodways elevator tile. Added 2 new labs elevator tiles. Added a new labs depressurizer objective tile. Added a new refinery bridge tile. Fixed SamGeos to work with Alt R5 update.
### 1.0.8 - Added a new floodways deadend tile for enemy wave spawns. Added a new Labs dead end tile. 